.account-menu,
.account-menu__content {
	background: var(--color-white);
	box-shadow: var(--box-shadow-m);
	border-radius: var(--border-radius_m);
	box-sizing: border-box;
	font-size: .875rem;
	line-height: 1.875rem;
	width: 100% !important;
}
.account-menu {
	position: relative;
	padding: 10px;
}
.account-menu:not(:last-child) {
	margin-bottom: 10px;
}
.account-menu:not(.active) .account-menu__content {
	opacity: 0;
	pointer-events: none;
	transform: translateY(-8px);
}
.account-menu .account-menu--mob__arrow {
	transform: rotate(180deg);
}
.account-menu.active .account-menu--mob__arrow {
	transform: none;
}
.account-menu__content {
	opacity: 1;
	padding: 10px 10px 5px 10px;
	position: absolute;
	right: 0;
	top: 100%;
	transform: translateY(0);
	transition: var(--transition);
	z-index: 10;
}
.account-info__profile-name {
	font-weight: 600;
	word-break: break-word;
	color: var(--color-blue);
}

.account-menu__block-statuses {
	background: #e7f0f0;
	border: 1px solid #dee8e8;
	border-radius: var(--border-radius_m);
	margin: 10px 0;
	padding: 10px;
}
.account-menu__block-flags {
	display: flex;
	flex-wrap: wrap;
	font-size: 14px;
	gap: 10px;
}

.account-menu .separate-block-small {
	margin: 15px auto;
}

.account-menu__tab.active {
	font-weight: 700;
}
.account-menu__products:not(:first-child) {
	margin-top: 1.25rem;
}
.account-menu__product-link.button {
	display: flex;
}
.account-menu__product-link.button_l {
	padding: 10px 15px;
}
.account-menu__product-link_name {
	color: var(--color-brown);
	margin-left: 5px;
}
.account-menu__lk {
	line-height: 1.25rem;
	padding-bottom: 10px;
	border-bottom: 2px solid var(--color-gray-light);
}

.account-menu__item {
	color: var(--color-gray-dark);
	font-size: 0.875rem;
	padding: 0 5px;
	margin: 2px 0;
	height: 40px;
}
.account-menu__item.active,
.account-menu__item:active {
	background: var(--color-gray-xlight);
	border-radius: var(--border-radius_s);
	font-weight: 600;
}
.account-menu__item:focus-visible {
	background: var(--color-gray-xlight);
	border-radius: var(--border-radius_s);
	font-weight: 600;
}
.account-menu__item:hover {
	background: var(--color-gray-xlight);
	border-radius: var(--border-radius_s);
	color: var(--color-brown);
}

.account-avatar {
	border: solid var(--color-gray);
	border-radius: 50%;
}
.account-avatar_m {
	border-width: 2px;
	width: 80px;
	height: 80px;
}
.account-avatar_s {
	border-width: 1px;
	width: 30px;
	height: 30px;
}
.account-avatar__img {
	box-sizing: border-box;
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: 50%;
	border-radius: 50%;
}

.account-photo {
	border-radius: var(--border-radius_m);
	background: var(--color-gray-light);
	padding: 20px;
}
.account-photo .account-avatar {
	border-color: var(--color-white);
}

/*.account-info__avatar {
	background: var(--color-gray-light);
	border-radius: var(--border-radius_m);
	padding: 20px;
}*/

.account-info {
	background: var(--color-white);
	border-radius: var(--border-radius_m);
	box-shadow: var(--box-shadow-m);
	margin-bottom: 1.25rem;
	padding: 1rem;
}
.account-info__title {
	color: var(--color-blue);
	font-weight: 700;
	font-size: 1.125rem;
	margin-bottom: 0.625rem;
}
.account-info__subtitle {
	margin-top: 0.625rem;
	margin-bottom: 0.625rem;
	color: var(--color-brown);
	font-size: 1rem;
	font-weight: 700;
}

.account-info__contact {
	column-gap: 5px;
	width: 100%;
	text-decoration: none;
	color: var(--color-brown);
}
.account-info__contact .ico-holder {
	width: 40px;
	height: 40px;
}
.account-info__contact .ico_bg {
	fill: var(--color-gray-3);
}
.account-info__contact .ico_fg {
	fill: var(--color-white);
}
a.account-info__contact:is(:active, :focus-visible, :hover) .ico_bg  {
	fill: var(--color-blue);
}
.account-info__contact_input {
	max-width: 200px;
}

.account__profile {
	flex-direction: column;
}
.account__profile__info {
	text-align: center;
	gap: 0;
}

.account__profile .account-avatar_m {
	width: 120px;
	height: 120px;
}

.account-info__text:not(:last-child) {
	margin-bottom: 0.75rem;
}
.account-info__text > span {
	margin-right: 5px;
}
/*.account-info__contact-details .svg-ico {
	width: 18px;
	height: 18px;
	fill: var(--color-gray);
}
.account-info__contact-details_title {
	color: var(--color-gray-3);
	font-weight: 700;
	padding-bottom: 20px;
}
.account-info__contact-details {
	font-size: 0.875rem;
}*/
.account-info__row:not(:last-child) {
	border-bottom: 1px dashed var(--color-gray-3);
	margin-bottom: 0.75rem;
	padding-bottom: 0.75rem;
}
.account-info__file {
	font-size: 0.75rem;
}

/*.account-products {
	margin: 30px 0;
}
.account-products__title {
	font-weight: 700;
	padding-bottom: 10px;
}*/

.favorite-product,
.preset-item {
	display: flex;
	margin-bottom: 10px;
	padding: 10px;
}
.favorite-product {
	align-items: flex-start;
}
.preset-item {
	flex-direction: column;
}

.favorite-product__img-container {
	display: flex;
	flex-shrink: 0;
	width: 160px;
	height: 90px;
}
.favorite-product__img {
	border-radius: var(--border-radius_m);
	margin: 0 auto;
	object-fit: cover;
}
.favorite-product__price-value {
	font-size: 0.875rem;
	font-weight: 600;
}
.favorites-products__state-filter .button {
	background: var(--color-gray-light);
	color: var(--color-brown);
}
.favorites-products__state-filter .button.active {
	background: var(--gradient-blue);
	color: var(--color-white);
}

.preset-item__visibility-label {
	font-weight: 600;
}
.preset-item__visibility-label.active {
	color: var(--color-purple);
}
.preset-item__delete:hover {
	background: var(--color-red);
}
.preset-item__delete:hover .ico_fg {
	fill: var(--color-white);
}

/* mobile first */

@media (min-width: 576px) {
	.account-info__contact {
		width: 49%;
	}
	.account__profile {
		flex-direction: row;
	}
	.account-info .form__label {
		width: 303px;
	}
}

@media (min-width: 768px) {
	.account-info__contact {
		width: 32%;
	}
}

@media (min-width: 1200px) {
	.account-menu__content {
		opacity: 1 !important;
		pointer-events: auto !important;
		transform: none !important;
		padding: 0 !important;
		box-shadow: none;
		border-radius: 0;
		position: relative;
	}
	.account__profile {
		flex-direction: column;
	}
}

/* desktop first */

@media (max-width: 1199px) {
	.account-menu__item {
		padding: 0 10px;
		margin: 4px 0;
	}
}

@media (max-width: 767px) {
	/*.account-info__avatar,*/
	.account-info {
		flex-direction: column;
		row-gap: 15px;
	}
	.account-info .account-menu__block-flags {
		margin-bottom: 10px;
	}

	.account-photo {
		flex-direction: column;
		gap: 10px;
	}
	.account-avatar_m {
		width: 120px;
		height: 120px;
	}
}

@media (max-width: 575px) {
	.account-menu .account-info__profile-name {
		text-align: center;
	}
	.account-menu__block-flags {
		flex-direction: column;
	}
	.account-info__contact_input {
		max-width: none;
	}

	.favorites-products__toolbar {
		overflow-x: auto;
		column-gap: 5px;
	}
	.favorite-product {
		flex-wrap: wrap;
		justify-content: space-between;
		row-gap: 10px;
	}
	.favorite-product__info {
		order: 2;
	}
}